bitel.billing.server.phone.bean

## Class ClientItem

- java.lang.Object
- - bitel.billing.server.phone.bean.ClientItem

- All Implemented Interfaces:
    java.io.Serializable, ListItem

      public final class ClientItem
      extends java.lang.Object
      implements ListItem, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_POINT`
    `static int` | `TYPE_RULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientItem()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlias()`
    `java.util.List<java.lang.String>` | `getClientNumbers()`
    `java.util.List<java.lang.String>` | `getClientPorts()`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getId()`
    `int` | `getObjectId()`
    `java.util.List<java.lang.String>` | `getOperFromPorts()`
    `java.lang.String` | `getOperFromPortsRegexp()`
    `java.lang.String` | `getOperFromPrefs()`
    `java.lang.String` | `getOperFromRange()`
    `java.lang.String` | `getOperFromRangeMapIds()`
    `java.lang.String` | `getOperNotFromPrefs()`
    `java.lang.String` | `getOperNotFromRange()`
    `java.lang.String` | `getOperNotFromRangeMapIds()`
    `java.lang.String` | `getOperNotToPrefs()`
    `java.lang.String` | `getOperNotToRange()`
    `java.lang.String` | `getOperNotToRangeMapIds()`
    `java.lang.String` | `getOperService()`
    `int` | `getOperServiceId()`
    `java.util.List<java.lang.String>` | `getOperToPorts()`
    `java.lang.String` | `getOperToPortsRegexp()`
    `java.lang.String` | `getOperToPrefs()`
    `java.lang.String` | `getOperToRange()`
    `java.lang.String` | `getOperToRangeMapIds()`
    `java.lang.String` | `getPeriod()`
    `java.lang.Integer` | `getRangeId()`
    `int` | `getSourceId()`
    `java.lang.String` | `getSourceTitle()`
    `java.lang.String` | `getTitle()`
    `int` | `getType()`
    `void` | `setAlias(java.lang.String alias)`
    `void` | `setClientNumbers(java.util.List<java.lang.String> clientNumbers)`
    `void` | `setClientPorts(java.util.List<java.lang.String> clientPorts)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setId(int id)`
    `void` | `setObjectId(int objectId)`
    `void` | `setOperFromPorts(java.util.List<java.lang.String> operFromPorts)`
    `void` | `setOperFromPortsRegexp(java.lang.String operFromPortsRegexp)`
    `void` | `setOperFromPrefs(java.lang.String operFromPrefs)`
    `void` | `setOperFromRange(java.lang.String operFromRange)`
    `void` | `setOperFromRangeMapIds(java.lang.String operRangeMapIds)`
    `void` | `setOperNotFromPrefs(java.lang.String operNotFromPrefs)`
    `void` | `setOperNotFromRange(java.lang.String operNotFromRange)`
    `void` | `setOperNotFromRangeMapIds(java.lang.String operNotFromRangeMapIds)`
    `void` | `setOperNotToPrefs(java.lang.String operNotToPrefs)`
    `void` | `setOperNotToRange(java.lang.String operNotToRange)`
    `void` | `setOperNotToRangeMapIds(java.lang.String operNotToRangeMapIds)`
    `void` | `setOperService(java.lang.String operService)`
    `void` | `setOperServiceId(int operServiceId)`
    `void` | `setOperToPorts(java.util.List<java.lang.String> operToPorts)`
    `void` | `setOperToPortsRegexp(java.lang.String operToPortsRegexp)`
    `void` | `setOperToPrefs(java.lang.String operToPrefs)`
    `void` | `setOperToRange(java.lang.String operToRange)`
    `void` | `setOperToRangeMapIds(java.lang.String operNotRangeMapIds)`
    `void` | `setRangeId(java.lang.Integer rangeId)`
    `void` | `setSourceId(int sourceId)`
    `void` | `setSourceTitle(java.lang.String sourceTitle)`
    `void` | `setType(int type)`
    `java.lang.String` | `toString()`
    `static java.lang.String` | `toString(int itemId, java.sql.PreparedStatement getSimpleItemPS, java.sql.PreparedStatement numberPS, java.sql.PreparedStatement portPS)`
    `java.lang.String` | `toStringWithoutSource()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_POINT

          public static final int TYPE_POINT

      See Also:
        Constant Field Values

    - #### TYPE_RULE

          public static final int TYPE_RULE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientItem

          public ClientItem()

  - ### Method Detail

    - #### getRangeId

          public java.lang.Integer getRangeId()

    - #### setRangeId

          public void setRangeId(java.lang.Integer rangeId)

    - #### getAlias

          public java.lang.String getAlias()

    - #### setAlias

          public void setAlias(java.lang.String alias)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getOperService

          public java.lang.String getOperService()

    - #### setOperService

          public void setOperService(java.lang.String operService)

    - #### getClientNumbers

          public java.util.List<java.lang.String> getClientNumbers()

    - #### setClientNumbers

          public void setClientNumbers(java.util.List<java.lang.String> clientNumbers)

    - #### getClientPorts

          public java.util.List<java.lang.String> getClientPorts()

    - #### setClientPorts

          public void setClientPorts(java.util.List<java.lang.String> clientPorts)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### getOperFromPorts

          public java.util.List<java.lang.String> getOperFromPorts()

    - #### setOperFromPorts

          public void setOperFromPorts(java.util.List<java.lang.String> operFromPorts)

    - #### getOperFromPrefs

          public java.lang.String getOperFromPrefs()

    - #### setOperFromPrefs

          public void setOperFromPrefs(java.lang.String operFromPrefs)

    - #### getOperServiceId

          public int getOperServiceId()

    - #### setOperServiceId

          public void setOperServiceId(int operServiceId)

    - #### getOperToPorts

          public java.util.List<java.lang.String> getOperToPorts()

    - #### setOperToPorts

          public void setOperToPorts(java.util.List<java.lang.String> operToPorts)

    - #### getOperToPrefs

          public java.lang.String getOperToPrefs()

    - #### setOperToPrefs

          public void setOperToPrefs(java.lang.String operToPrefs)

    - #### getSourceId

          public int getSourceId()

    - #### setSourceId

          public void setSourceId(int sourceId)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringWithoutSource

          public java.lang.String toStringWithoutSource()

    - #### getPeriod

          public java.lang.String getPeriod()

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### toString

          public static java.lang.String toString(int itemId,
                                                  java.sql.PreparedStatement getSimpleItemPS,
                                                  java.sql.PreparedStatement numberPS,
                                                  java.sql.PreparedStatement portPS)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSourceTitle

          public java.lang.String getSourceTitle()

    - #### setSourceTitle

          public void setSourceTitle(java.lang.String sourceTitle)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getOperNotFromPrefs

          public java.lang.String getOperNotFromPrefs()

    - #### setOperNotFromPrefs

          public void setOperNotFromPrefs(java.lang.String operNotFromPrefs)

    - #### getOperNotToPrefs

          public java.lang.String getOperNotToPrefs()

    - #### setOperNotToPrefs

          public void setOperNotToPrefs(java.lang.String operNotToPrefs)

    - #### getOperFromRange

          public java.lang.String getOperFromRange()

    - #### setOperFromRange

          public void setOperFromRange(java.lang.String operFromRange)

    - #### getOperToRange

          public java.lang.String getOperToRange()

    - #### setOperToRange

          public void setOperToRange(java.lang.String operToRange)

    - #### getOperNotFromRange

          public java.lang.String getOperNotFromRange()

    - #### setOperNotFromRange

          public void setOperNotFromRange(java.lang.String operNotFromRange)

    - #### getOperNotToRange

          public java.lang.String getOperNotToRange()

    - #### setOperNotToRange

          public void setOperNotToRange(java.lang.String operNotToRange)

    - #### getOperFromPortsRegexp

          public java.lang.String getOperFromPortsRegexp()

    - #### setOperFromPortsRegexp

          public void setOperFromPortsRegexp(java.lang.String operFromPortsRegexp)

    - #### getOperToPortsRegexp

          public java.lang.String getOperToPortsRegexp()

    - #### setOperToPortsRegexp

          public void setOperToPortsRegexp(java.lang.String operToPortsRegexp)

    - #### getOperFromRangeMapIds

          public java.lang.String getOperFromRangeMapIds()

    - #### setOperFromRangeMapIds

          public void setOperFromRangeMapIds(java.lang.String operRangeMapIds)

    - #### getOperToRangeMapIds

          public java.lang.String getOperToRangeMapIds()

    - #### setOperToRangeMapIds

          public void setOperToRangeMapIds(java.lang.String operNotRangeMapIds)

    - #### getOperNotFromRangeMapIds

          public java.lang.String getOperNotFromRangeMapIds()

    - #### setOperNotFromRangeMapIds

          public void setOperNotFromRangeMapIds(java.lang.String operNotFromRangeMapIds)

    - #### getOperNotToRangeMapIds

          public java.lang.String getOperNotToRangeMapIds()

    - #### setOperNotToRangeMapIds

          public void setOperNotToRangeMapIds(java.lang.String operNotToRangeMapIds)